Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation
Class MessageValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.swift.validation.MessageValidationException

All Implemented Interfaces:
  java.io.Serializable

    public class MessageValidationException

extends java.lang.Exception

validation exception for all the Swift MT OTDs

See Also:
  Serialized Form

Constructor Summary
`MessageValidationException(java.lang.String mtName)`

Method Summary
`void` | `append(java.lang.String messageString)`
`java.lang.String` | `getErrorMessage()`
`java.lang.String` | `getMessage()`
`void` | `setMessage(java.lang.String msg)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageValidationException

    public MessageValidationException(java.lang.String mtName)

Method Detail

### getErrorMessage

    public java.lang.String getErrorMessage()

### append

    public void append(java.lang.String messageString)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### setMessage

    public void setMessage(java.lang.String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.